Zavřít reklamu
Nový Samsung Galaxy A

Vývojáři budou muset od srpna své aplikace přizpůsobit vyšší verzi Androidu

Společnost Google pokračuje v povzbuzování Android vývojářů k tomu, aby při tvorbě svých aplikací využívali co nejnovější funkce API. Loni v listopadu musely všechny aplikace, ucházející se o své místo na virtuální poličce v Google Play Store, cílit na operační systém Android Oreo 8.0 a novější. V praxi to znamenalo, že byla po vývojářích požadována podpora runtime permissions a dalších změn, které tato aktualizace vyžadovala. Nyní Google podle očekávání náročnost svých požadavků na vývojáře aplikací zvyšuje.

Zdroj: Android Police

V době, kdy se očekává vydání Androidu Q – tedy zhruba v srpnu letošního roku – budou muset všechny nové aplikace cílit na Android 9 (API level 28) a vyšší. Znamená to, že aplikace budou i nadále podporovat i starší verze operačního systému Android (včetně té nejstarší) – ale zároveň se budou muset co nejvíce přizpůsobit Androidu Pie. V listopadu letošního roku budou muset být pro Pie náležitě upravené i všechny aktualizace. Aplikace, u nichž k aktualizacím nedochází, nebudou žádným způsobem zasaženy.

Uživatele, kteří se pokusí na svá zařízení nainstalovat neaktuální aplikace, nepocházející z Play Store, budou varováni prostřednictvím Google Play Protext. Varování se od srpna zobrazí všem uživatelům, kteří se pokusí na své zařízení nainstalovat aplikaci, nepřizpůsobenou Androidu 8.0 a novějšímu. V listopadu začnou být uživatelé upozorňováni na nutnost aktualizací již nainstalovaných aplikací. Požadavky tohoto typu se podle vyjádření Googlu budou rok do roku zvyšovat.

Zdroj: DigitalTrends

Diskuze

Napsat komentář

Zobrazit více

Zobrazit celou diskuzi
Přispět

Další články